domenica 28 ottobre 2007

GIMP 2.4 GUIDA ALL'INSTALLAZIONE

Credo che di recensioni sull'ultima versione di gimp la 2.4 ne avete lette a centinaia, scopo di questo post è quello di guidarvi nell'installazione di questa versione su ubuntu 7.10 visto che di default troviamo la 2.4 rc 3.

Scarichiamo il pacchetto tar.bz2, spostiamolo dentro opt, aprite un terminale scrivete:

wget ftp://ftp.gimp.org/pub/gimp/v2.4/gimp-2.4.0.tar.bz2

sudo mv gimp-2.4.0.tar.bz2 /opt

scompattiamo l'archivio.

cd /opt
sudo tar jxvf gimp-2.4.0*

diamo i permessi alla nuova cartella gimp-2.4.0

sudo chmod -R a+rwx gimp-2.4.0
sudo chown -R $USER:$USER gimp-2.4.0

prima di procedere con la compilazione risolviamo alcune dipendenze, da terminale sciviamo:

sudo apt-get install libart-2.0-dev
sudo apt-get install libtiff4-dev
sudo apt-get install python2.5-dev

sudo apt-get install python-gtk2-dev

spostiamoci dentro la cartella gimp-2.4.0 diamo i comandi per la compilazione.

cd gimp-2.4.0
sudo ./configure
sudo make
sudo make install

per sicurezza diamo i permessi di scrittura alla cartella.

sudo chmod -R a+rwx gimp-2.4.0


finita l'installazione per farlo partire creiamoci un'icona d'avvio nel desktop, tasto destro del mouse sulla scrivania cliccate su crea lanciatore, come nome date gimp-2.4, come percorso date /opt/gimp-2.4.0/app/gimp-2.4.

se provate ha lanciare il programma da applicazioni-grafica riceverete un errore, vi consiglio di eliminare tramite alacarte il collegamento alla vecchia versione di gimp.

8 commenti:

Anonimo ha detto...

ciao, ma si può installare su ubuntu feisty fawn?

santo vasta ha detto...

si però devi compilarti molte più librerie come le gtk e le glib.

dodda&daddo ha detto...

ciao, sn nuovo d ubunut...so ke cn gimp nn c'entra ma volevo farti 1 domanda visto ke 6 molto esperto in materia! come faccio a impostare la stampante in modo ke stampi solo in nero...senza colore???! ho ubuntu 7.10! grazie in anticipo! ;)

santo vasta ha detto...

che tipo di stampante ai?

dodda&daddo ha detto...

Epson...cmq ho risolto...semplicemente ho installato 1 driver diverso e c'era l'opzione greyscale! grazie lo stesso! ;)

Stefano ha detto...

Io ho kubuntu feisty come faccio a installare le gtk e le glib?dopo la compilazione mi dice "Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error: Test for GTK+ failed. See the file 'INSTALL' for help." chi mi aiuta?

santo vasta ha detto...

per risolvere il problema in modo indolore aggiorna il sistema ad ubuntu gutsy non ti consiglio di installare le librerie glib e gtk potrebbero crearti instabilità nel sistema.

kospey ha detto...

Ciao , ho seguito alla lettera la guida ma dando il comando "sudo make" ad un certo punto mi da questo erroe: "Making all in po
make[2]: Entering directory `/opt/gimp-2.4.0/po'
file=`echo ar | sed 's,.*/,,'`.gmo \
&& rm -f $file && -o $file ar.po
/bin/sh: -o: not found
make[2]: *** [ar.gmo] Error 127
make[2]: Leaving directory `/opt/gimp-2.4.0/po'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/opt/gimp-2.4.0'
make: *** [all] Error 2
"
Come faccio a risolvere?
s utilizzo kubuntu 7.10.